#version 330 core

uniform float time;

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;


void main()
{
	float angle = POSITION.x + POSITION.y + POSITION.z;
	vec3 offset = NORMAL* sin(angle*0.125 + time) * 0.5;
	vec4 pos = vec4(POSITION + offset, 1.0);

	gl_Position = pos;
}
